# PulpCertguardClient::ContentguardsX509Api

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ContentguardsX509Api.md#create) | **POST** /pulp/api/v3/contentguards/certguard/x509/ | Create a x509 cert guard
[**delete**](ContentguardsX509Api.md#delete) | **DELETE** {certguard_x509_cert_guard_href} | Delete a x509 cert guard
[**list**](ContentguardsX509Api.md#list) | **GET** /pulp/api/v3/contentguards/certguard/x509/ | List x509 cert guards
[**partial_update**](ContentguardsX509Api.md#partial_update) | **PATCH** {certguard_x509_cert_guard_href} | Update a x509 cert guard
[**read**](ContentguardsX509Api.md#read) | **GET** {certguard_x509_cert_guard_href} | Inspect a x509 cert guard
[**update**](ContentguardsX509Api.md#update) | **PUT** {certguard_x509_cert_guard_href} | Update a x509 cert guard



## create

> CertguardX509CertGuardResponse create(certguard_x509_cert_guard)

Create a x509 cert guard

X509CertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsX509Api.new
certguard_x509_cert_guard = PulpCertguardClient::CertguardX509CertGuard.new # CertguardX509CertGuard | 

begin
  #Create a x509 cert guard
  result = api_instance.create(certguard_x509_cert_guard)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsX509Api->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_x509_cert_guard** | [**CertguardX509CertGuard**](CertguardX509CertGuard.md)|  | 

### Return type

[**CertguardX509CertGuardResponse**](CertguardX509CertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(certguard_x509_cert_guard_href)

Delete a x509 cert guard

X509CertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsX509Api.new
certguard_x509_cert_guard_href = 'certguard_x509_cert_guard_href_example' # String | 

begin
  #Delete a x509 cert guard
  api_instance.delete(certguard_x509_cert_guard_href)
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsX509Api->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_x509_cert_guard_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> InlineResponse2001 list(opts)

List x509 cert guards

X509CertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsX509Api.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | name
  name__in: 'name__in_example', # String | name__in
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List x509 cert guards
  result = api_instance.list(opts)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsX509Api->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| name | [optional] 
 **name__in** | **String**| name__in | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse2001**](InlineResponse2001.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> CertguardX509CertGuardResponse partial_update(certguard_x509_cert_guard_href, patchedcertguard_x509_cert_guard)

Update a x509 cert guard

X509CertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsX509Api.new
certguard_x509_cert_guard_href = 'certguard_x509_cert_guard_href_example' # String | 
patchedcertguard_x509_cert_guard = PulpCertguardClient::PatchedcertguardX509CertGuard.new # PatchedcertguardX509CertGuard | 

begin
  #Update a x509 cert guard
  result = api_instance.partial_update(certguard_x509_cert_guard_href, patchedcertguard_x509_cert_guard)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsX509Api->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_x509_cert_guard_href** | **String**|  | 
 **patchedcertguard_x509_cert_guard** | [**PatchedcertguardX509CertGuard**](PatchedcertguardX509CertGuard.md)|  | 

### Return type

[**CertguardX509CertGuardResponse**](CertguardX509CertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> CertguardX509CertGuardResponse read(certguard_x509_cert_guard_href, opts)

Inspect a x509 cert guard

X509CertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsX509Api.new
certguard_x509_cert_guard_href = 'certguard_x509_cert_guard_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a x509 cert guard
  result = api_instance.read(certguard_x509_cert_guard_href, opts)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsX509Api->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_x509_cert_guard_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**CertguardX509CertGuardResponse**](CertguardX509CertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> CertguardX509CertGuardResponse update(certguard_x509_cert_guard_href, certguard_x509_cert_guard)

Update a x509 cert guard

X509CertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsX509Api.new
certguard_x509_cert_guard_href = 'certguard_x509_cert_guard_href_example' # String | 
certguard_x509_cert_guard = PulpCertguardClient::CertguardX509CertGuard.new # CertguardX509CertGuard | 

begin
  #Update a x509 cert guard
  result = api_instance.update(certguard_x509_cert_guard_href, certguard_x509_cert_guard)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsX509Api->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_x509_cert_guard_href** | **String**|  | 
 **certguard_x509_cert_guard** | [**CertguardX509CertGuard**](CertguardX509CertGuard.md)|  | 

### Return type

[**CertguardX509CertGuardResponse**](CertguardX509CertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

